# -*- coding: utf-8 -*-

"""
 (c) 2019 - Copyright Red Hat Inc

 Authors:
   Pierre-Yves Chibon <pingou@pingoured.fr>
   Karsten Hopp <karsten@redhat.com>

"""

from __future__ import print_function, unicode_literals

import pagure.forms

import wtforms


class AnityaForm(pagure.forms.PagureForm):
    """ Form to configure taiga for a project. """

    anitya_status = wtforms.SelectField(
        "Monitoring status of the package in anitya",
        [wtforms.validators.DataRequired()],
        choices=[
            ("monitoring", "monitoring"),
            ("no-monitoring", "no-monitoring"),
            ("monitoring-with-scratch", "monitoring-with-scratch"),
        ],
    )


class BZOverrideForm(pagure.forms.PagureForm):
    """ Form to configure the Fedora/EPEL maintainer for a project. """

    fedora_assignee = wtforms.StringField(
        "Maintainer name", [wtforms.validators.optional(strip_whitespace=True)]
    )
    epel_assignee = wtforms.StringField(
        "EPEL Maintainer name",
        [wtforms.validators.optional(strip_whitespace=True)],
    )
